petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAProjectFunction

This projects the given function into the function space provided.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAProjectFunction(DM dm, PetscErrorCode (**funcs)(PetscInt, const PetscReal [], PetscInt, PetscScalar *, void *), void **ctxs, InsertMode mode, Vec X)

### Input Parameters

| dm | - The DM
| funcs | - The coordinate functions to evaluate
| ctxs | - Optional array of contexts to pass to each coordinate function. ctxs itself may be null.
| mode | - The insertion mode for values

### Output Parameter

X -vector

### See Also

DMDAComputeL2Diff()

Level:developer
Location:src/dm/impls/da/dalocal.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages